Course:
  properties:
    ID:
      type: string
    CreatedByID:
      type: string
      x-nullable: true
    CreatedDate:
      type: string
      x-nullable: true
    Description:
      type: string
      x-nullable: true
    Fulldescription:
      type: string
      x-nullable: true
    ImageAltText:
      type: string
      x-nullable: true
    ImageURL:
      type: string
      x-nullable: true
    InstructorID:
      type: string
      x-nullable: true
    LastModifiedByID:
      type: string
      x-nullable: true
    LastModifiedDate:
      type: string
      x-nullable: true
    Logo:
      type: string
      x-nullable: true
    Price:
      type: number
      x-nullable: true
    Slug:
      type: string
      x-nullable: true
    TemplateID:
      type: string
      x-nullable: true
    Title:
      type: string
      x-nullable: true
    Sections:
      items:
        $ref: "./course-section.yaml#/CourseSection"
      type: array
  type: object
